<template>
  <div class="row mt-4 mb-2">
    <div class="col-lg-12 col-12">
      <div class="card shadow">
        <div class="card-header bg-white">
          <div class="col-12 text-left float-left pt-1 pl-0">
            <p class="d-inline text-blue">Order Details</p>
            <small class="d-inline">(1 Traveler)</small>
          </div>
        </div>
        <ul class="list-group list-group-flush info-content">
          <li class="list-group-item title">
            <div class="row">
              <div class="col-6 text-left">Product</div>
              <div class="col-6 text-right">Price</div>
            </div>
          </li>
          <li
            class="list-group-item font-weight-normal"
            v-for="(item, index) in items"
            v-bind:key="index"
          >
            <div class="row">
              <div class="col-6 text-left">{{item.name}}</div>
              <div class="col-6 text-right">{{current}} {{item.cost}}</div>
            </div>
          </li>
        </ul>
        <div class="row p-4 d-flex justify-content-end">
          <div class="col-lg-3 col-12 text-center d-flex align-items-center justify-content-center">
            <p class="d-inline text-blue total">Total </p>
            <small class="d-inline">(Standard processing 4 days)</small>
          </div>
          <div class="col-lg-4 col-12 total-price d-flex align-items-center justify-content-end left">
            <select 
              class="form-control form-control-xs select d-inline mr-5"
              @change="changeCurrency($event)"
            >
              <option v-for="(current, index) in currency" v-bind:key="index">{{current.name}}</option>
            </select>
            <p class="text-blue d-inline pt-3">{{amount}}</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Order",
  methods: {
    changeCurrency: function(name) {
      this.current = name.target.value;
    }
  },
  data() {
    return {
      current: "USD",
      currency: [{ name: "USD" }, { name: "EUR" }],
      items: [
        { name: "Visa Cost", cost: "0.00" },
        { name: "Service Fee", cost: "20.00" }
      ],
      amount: "137.50"
    };
  }
};
</script>

<style scoped lang="scss">
.info {
  .title {
    font-weight: bold;
  }
}
.total {
  font-size: 1.75em;
}
.total-price {
  p {
    font-size: 2.25em;
  }
}
.left {
  margin-left: -20px;
}
.select {
  width: 100%;
  @media (min-width: 1200px) {
    width: 100%;
    margin-left: 2rem;
  }
}
</style>